Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 95666 - ImportDERPublicKey assigns CK_KEY_TYPE to pubkey->type
: ImportDERPublicKey assigns CK_KEY_TYPE to pubkey->type
Product: NSS
Classification: Components
Component: Libraries (show other bugs)
: 3.3
: All All
: P1 normal (vote)
: 3.3.2
Assigned To: Jamie Nicolson
: Sonja Mirtitsch
: 102966 (view as bug list)
Depends on:
  Show dependency treegraph
Reported: 2001-08-16 13:35 PDT by Jamie Nicolson
Modified: 2001-11-01 11:40 PST (History)
1 user (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---


Description Jamie Nicolson 2001-08-16 13:35:31 PDT
The "type" field of a PublicKey is supposed to be KeyType, but I assign a
CK_KEY_TYPE to it. This means keys created with this function have an invalid
"type" field.
Comment 1 Jamie Nicolson 2001-09-10 15:57:09 PDT
Fixed on the trunk.

/cvsroot/mozilla/security/nss/lib/cryptohi/seckey.c,v  <--  seckey.c
new revision: 1.11; previous revision: 1.10
Comment 2 Jamie Nicolson 2001-10-03 16:35:24 PDT
This needs fixin' on the JSS_3_1_BRANCH.
Comment 3 Jamie Nicolson 2001-10-03 16:35:36 PDT
*** Bug 102966 has been marked as a duplicate of this bug. ***
Comment 4 Wan-Teh Chang 2001-10-31 19:05:08 PST
Jamie, could you check in the fix for this bug on
the NSS_3_3_BRANCH and mark the bug fixed?
Comment 5 Jamie Nicolson 2001-11-01 11:40:29 PST
Fixed on NSS_3_3_BRANCH.

/cvsroot/mozilla/security/nss/lib/cryptohi/seckey.c,v  <--  seckey.c
new revision:; previous revision: 1.9

Note You need to log in before you can comment on or make changes to this bug.